import { DeleteInvoiceUseCase } from "@contexts/invoices/application";
import { ExpressController } from "core/common/presentation";

export class DeleteInvoiceController extends ExpressController {
  public constructor(private readonly deleteInvoice: DeleteInvoiceUseCase) {
    super();
  }

  async executeImpl(): Promise<any> {
    return this.noContent();
  }
}
